#!/usr/bin/env bash

# poetry build
if ! vermin -q -t=3.6 .; then
  echo "Minimum version requirement not met! Cancelling build :c"
  exit 1
fi

if ! mypy .; then
  echo "Error while running mypy!"
  exit 1
fi

set -e

poetry install
poetry export --without-hashes -o requirements.txt
pex . -r requirements.txt -e bcao -o bcao.pex
